inf = open("game.in", "r")
ouf = open("game.out", "w")

n, m = map(int, inf.readline().split())
l1, r1 = map(int, inf.readline().split())
l2, r2 = map(int, inf.readline().split())
h = map(int, inf.readline().split())

only = [0, 0]
both = 0
for x in h:
    if l1 <= x <= r1 and l2 <= x <= r2:
        both += 1
    elif l1 <= x <= r1:
        only[0] += 1
    elif l2 <= x <= r2:
        only[1] += 1

if only[0] > only[1]:
    print("Petya", file = ouf)
elif only[0] < only[1]:
    print("Vasya", file = ouf)
else:
    print("Draw", file = ouf)

inf.close()
ouf.close()

